language: php

php:
  - 5.3
  - 5.4
  - 5.5
  - 5.6
  - hhvm

env:
  - SYMFONY_VERSION="2.3.*,>=2.3.18"
  - SYMFONY_VERSION="2.4.*,>=2.4.8"
  - SYMFONY_VERSION="2.5.*,>=2.5.2"
  - SYMFONY_VERSION=2.6.*

sudo: false

matrix:
  allow_failures:
    - php: hhvm

before_script:
  - curl -sS https://getcomposer.org/installer | php
  - php composer.phar require symfony/symfony:${SYMFONY_VERSION} --no-update
  - php composer.phar update --prefer-stable --prefer-lowest

notifications:
  email:
    - payumsupport@forma-pro.com
